/////////////////////////////////////////////////////////////////////
//
// OposCAT.h
//
//   CAT header file for OPOS Applications.
//
// Modification history
// ------------------------------------------------------------------
// 98-06-01 OPOS Release 1.4                                 OPOS-J
//
//
//
/////////////////////////////////////////////////////////////////////

#if !defined(OPOSCAT_H)
#define      OPOSCAT_H


#include "Opos.h"


/////////////////////////////////////////////////////////////////////
// Payment Condition Constants
/////////////////////////////////////////////////////////////////////

const LONG CAT_PAYMENT_LUMP                 = 10;
const LONG CAT_PAYMENT_BONUS_1              = 21;
const LONG CAT_PAYMENT_BONUS_2              = 22;
const LONG CAT_PAYMENT_BONUS_3              = 23;
const LONG CAT_PAYMENT_BONUS_4              = 24;
const LONG CAT_PAYMENT_BONUS_5              = 25;
const LONG CAT_PAYMENT_INSTALLMENT_1        = 61;
const LONG CAT_PAYMENT_INSTALLMENT_2        = 62;
const LONG CAT_PAYMENT_INSTALLMENT_3        = 63;
const LONG CAT_PAYMENT_BONUS_COMBINATION_1  = 31;
const LONG CAT_PAYMENT_BONUS_COMBINATION_2  = 32;
const LONG CAT_PAYMENT_BONUS_COMBINATION_3  = 33;
const LONG CAT_PAYMENT_BONUS_COMBINATION_4  = 34;
const LONG CAT_PAYMENT_REVOLVING            = 80;


/////////////////////////////////////////////////////////////////////
// Transaction Type Constants
/////////////////////////////////////////////////////////////////////

const LONG CAT_TRANSACTION_SALES            = 10;
const LONG CAT_TRANSACTION_VOID             = 20;
const LONG CAT_TRANSACTION_REFUND           = 21;
const LONG CAT_TRANSACTION_VOIDPRESALES     = 29;
const LONG CAT_TRANSACTION_COMPLETION       = 30;
const LONG CAT_TRANSACTION_PRESALES         = 40;
const LONG CAT_TRANSACTION_CHECKCARD        = 41;


/////////////////////////////////////////////////////////////////////
// ResultCodeExtended Constants
/////////////////////////////////////////////////////////////////////

const LONG OPOS_ECAT_CENTERERROR            = 01;
const LONG OPOS_ECAT_COMMANDERROR           = 90;
const LONG OPOS_ECAT_RESET                  = 91;
const LONG OPOS_ECAT_COMMUNICATIONERROR     = 92;
const LONG OPOS_ECAT_DAILYLOGOVERFLOW       = 200;


/////////////////////////////////////////////////////////////////////
// "Daily Log" Property  & Argument Constants
/////////////////////////////////////////////////////////////////////

const LONG CAT_DL_NONE                   = 0;  //None of them
const LONG CAT_DL_REPORTING              = 1;  //Only Reporting
const LONG CAT_DL_SETTLEMENT             = 2;  //Only Settlement
const LONG CAT_DL_REPORTING_SETTLEMENT   = 3;  //Both of them


#endif                  // !defined(OPOSCAT_H)
 