/////////////////////////////////////////////////////////////////////
//
// OposRod.h
//
//   Remote Order Display header file for OPOS Applications.
//
// Modification history
// ------------------------------------------------------------------
// 98-04-07 OPOS Release 1.3                                     BB
//
/////////////////////////////////////////////////////////////////////

#if !defined(OPOSROD_H)
#define      OPOSROD_H


#include "Opos.h"


/////////////////////////////////////////////////////////////////////
// "CurrentUnitID" and "UnitsOnline" Properties
//  and "Units" Parameter Constants
/////////////////////////////////////////////////////////////////////

#define ROD_UID(Unit) (1 << (Unit-1))

const LONG ROD_UID_1        = ROD_UID(1);
const LONG ROD_UID_2        = ROD_UID(2);
const LONG ROD_UID_3        = ROD_UID(3);
const LONG ROD_UID_4        = ROD_UID(4);
const LONG ROD_UID_5        = ROD_UID(5);
const LONG ROD_UID_6        = ROD_UID(6);
const LONG ROD_UID_7        = ROD_UID(7);
const LONG ROD_UID_8        = ROD_UID(8);
const LONG ROD_UID_9        = ROD_UID(9);
const LONG ROD_UID_10       = ROD_UID(10);
const LONG ROD_UID_11       = ROD_UID(11);
const LONG ROD_UID_12       = ROD_UID(12);
const LONG ROD_UID_13       = ROD_UID(13);
const LONG ROD_UID_14       = ROD_UID(14);
const LONG ROD_UID_15       = ROD_UID(15);
const LONG ROD_UID_16       = ROD_UID(16);
const LONG ROD_UID_17       = ROD_UID(17);
const LONG ROD_UID_18       = ROD_UID(18);
const LONG ROD_UID_19       = ROD_UID(19);
const LONG ROD_UID_20       = ROD_UID(20);
const LONG ROD_UID_21       = ROD_UID(21);
const LONG ROD_UID_22       = ROD_UID(22);
const LONG ROD_UID_23       = ROD_UID(23);
const LONG ROD_UID_24       = ROD_UID(24);
const LONG ROD_UID_25       = ROD_UID(25);
const LONG ROD_UID_26       = ROD_UID(26);
const LONG ROD_UID_27       = ROD_UID(27);
const LONG ROD_UID_28       = ROD_UID(28);
const LONG ROD_UID_29       = ROD_UID(29);
const LONG ROD_UID_30       = ROD_UID(30);
const LONG ROD_UID_31       = ROD_UID(31);
const LONG ROD_UID_32       = ROD_UID(32);


/////////////////////////////////////////////////////////////////////
// Broadcast Methods: "Attribute" Parameter Constants
/////////////////////////////////////////////////////////////////////

const LONG ROD_ATTR_BLINK       = 0x80;

const LONG ROD_ATTR_BG_BLACK    = 0x00;
const LONG ROD_ATTR_BG_BLUE     = 0x10;
const LONG ROD_ATTR_BG_GREEN    = 0x20;
const LONG ROD_ATTR_BG_CYAN     = 0x30;
const LONG ROD_ATTR_BG_RED      = 0x40;
const LONG ROD_ATTR_BG_MAGENTA  = 0x50;
const LONG ROD_ATTR_BG_BROWN    = 0x60;
const LONG ROD_ATTR_BG_GRAY     = 0x70;

const LONG ROD_ATTR_INTENSITY   = 0x08;

const LONG ROD_ATTR_FG_BLACK    = 0x00;
const LONG ROD_ATTR_FG_BLUE     = 0x01;
const LONG ROD_ATTR_FG_GREEN    = 0x02;
const LONG ROD_ATTR_FG_CYAN     = 0x03;
const LONG ROD_ATTR_FG_RED      = 0x04;
const LONG ROD_ATTR_FG_MAGENTA  = 0x05;
const LONG ROD_ATTR_FG_BROWN    = 0x06;
const LONG ROD_ATTR_FG_GRAY     = 0x07;


/////////////////////////////////////////////////////////////////////
// "DrawBox" Method: "BorderType" Parameter Constants
/////////////////////////////////////////////////////////////////////

const LONG ROD_BDR_SINGLE       = 1;
const LONG ROD_BDR_DOUBLE       = 2;
const LONG ROD_BDR_SOLID        = 3;


/////////////////////////////////////////////////////////////////////
// "ControlClock" Method: "Function" Parameter Constants
/////////////////////////////////////////////////////////////////////

const LONG ROD_CLK_START        = 1;
const LONG ROD_CLK_PAUSE        = 2;
const LONG ROD_CLK_RESUME       = 3;
const LONG ROD_CLK_MOVE         = 4;
const LONG ROD_CLK_STOP         = 5;


/////////////////////////////////////////////////////////////////////
// "ControlCursor" Method: "Function" Parameter Constants
/////////////////////////////////////////////////////////////////////

const LONG ROD_CRS_LINE         = 1;
const LONG ROD_CRS_LINE_BLINK   = 2;
const LONG ROD_CRS_BLOCK        = 3;
const LONG ROD_CRS_BLOCK_BLINK  = 4;
const LONG ROD_CRS_OFF          = 5;


/////////////////////////////////////////////////////////////////////
// "SelectCharacterSet" Method: "CharacterSet" Parameter Constants
/////////////////////////////////////////////////////////////////////

const LONG ROD_CS_ASCII         = 998;
const LONG ROD_CS_WINDOWS       = 999;


/////////////////////////////////////////////////////////////////////
// "TransactionDisplay" Method: "Function" Parameter Constants
/////////////////////////////////////////////////////////////////////

const LONG ROD_TD_TRANSACTION   = 11;
const LONG ROD_TD_NORMAL        = 12;


/////////////////////////////////////////////////////////////////////
// "UpdateVideoRegionAttribute" Method: "Function" Parameter Constants
/////////////////////////////////////////////////////////////////////

const LONG ROD_UA_SET           = 1;
const LONG ROD_UA_INTENSITY_ON  = 2;
const LONG ROD_UA_INTENSITY_OFF = 3;
const LONG ROD_UA_REVERSE_ON    = 4;
const LONG ROD_UA_REVERSE_OFF   = 5;
const LONG ROD_UA_BLINK_ON      = 6;
const LONG ROD_UA_BLINK_OFF     = 7;


/////////////////////////////////////////////////////////////////////
// "EventTypes" Property and "DataEvent" Event: "Status" Parameter Constants
/////////////////////////////////////////////////////////////////////

const LONG ROD_DE_TOUCH_UP      = 0x01;
const LONG ROD_DE_TOUCH_DOWN    = 0x02;
const LONG ROD_DE_TOUCH_MOVE    = 0x04;


/////////////////////////////////////////////////////////////////////
// "ResultCodeExtended" Property Constants for Remote Order Display
/////////////////////////////////////////////////////////////////////

const LONG OPOS_EROD_BADCLK     = 1 + OPOSERREXT; // ControlClock
const LONG OPOS_EROD_NOCLOCKS   = 2 + OPOSERREXT; // ControlClock
const LONG OPOS_EROD_NOREGION   = 3 + OPOSERREXT; // RestoreVideo
                                                  //   Region
const LONG OPOS_EROD_NOBUFFERS  = 4 + OPOSERREXT; // SaveVideoRegion
const LONG OPOS_EROD_NOROOM     = 5 + OPOSERREXT; // SaveVideoRegion


#endif                  // !defined(OPOSROD_H)
